<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head><title><!--{$UUDEV_PAGE_TITLE}--></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="css/admin.css?454" rel="stylesheet"/>
<link href="css/layoutcpanel.css" rel="stylesheet"/>
<style type="text/css">
<!--
.title2 { font-weight:bold;}
.title {display:block; padding-left:10px; color:#0c6500;}
.content {display:block; padding:2px 0px 10px 14px;}
.tdline {  padding-top:4px;}
-->
</style>
<!--{include file=elements/header.js.html type=common}-->
<!--{include file=elements/header.js.html type=popbox}-->
<!--{include file=elements/header.js.html type=ubb}-->
<!--{include file=elements/header.js.html type=valid}-->
<script src="js/jquery/jquery.form.js"></script>
<script src="js/jquery/jquery.cookie.js"></script>
<script src="js/jquery/jquery.blockUI.js" charset="utf-8"></script>
<style>
#leftdiv{
	position:absolute;
	left:5px!important;
	left:6px;
	width:205px;
	border:1px #24598b solid;
	background:#FFFFFF;
}
#cpaneldiv{
	position:absolute;
	left:217px!important;
	left:235px;
	width:340px;
	border:1px #24598b solid;
	background:#FFFFFF;
}
#rightdiv{
	position:absolute;
	left:563px!important;
	left:583px;
	border:1px #24598b solid;
	background:#FFFFFF;
}
</style>
</head>
<body>
<div id="outside">
	<!--{include file=frame/top.html}-->
	<div id="mainareaContent">
		<!--{include file=frame/left.html}-->
		<div id="rightContent">
			<div id="secrightContent-cpanel" style="width:100%;height:100%; background:#689dcf; border:1px #24598b solid; padding:5px; margin-top:8PX;">

				<div id="leftdiv">
					<div class="left-scroll" id="left-scroll" style="boder:0;overflow-y:auto; overflow-x:hidden;">
						<div id="leftBox" style="boder:0;width:100%;height:100%; overflow-y:scroll">
							<iframe frameborder="0" style="width:100%; height:100%;" scrolling="no" name="leftLayout" id="leftLayout" src="./index.php?r=Layout.left"></iframe>
						</div>
					</div>
				</div>

				<div id="cpaneldiv">
					<div class="UBBbuju_title">
						网页所见区域
					</div>
					<div id="nav-html" style=" padding-left:5px; height:24px;line-height:24px;">位置：首页</div>
					<div style=" padding-right:5px; text-align:right;height:24px; line-height:24px;">
						<a class="cpanel_tool_add_line ubb_button_ui"  href="javascript:void(0);">新增行</a><a class="cpanel_tool_add_channel ubb_button_ui"  href="javascript:void(0);" >新增频道</a><a class="cpanel_tool_add_ubb ubb_button_ui"  href="javascript:void(0);" >插UBB</a>
					</div>
					<div id="cpanel-scroll" style=" border:1px #bfd5e8 solid; background:#FFFFFF;overflow-y:auto; overflow-x:hidden; width:337px!important;width:340px;">
						<div id="cpanelBox" style="boder:0;width:100%;height:100%;">
							<iframe frameborder="0" scrolling="no"  style="width:100%;" name="cpanelLayout" id="cpanelLayout" src="index.php?r=Layout.cpanel"></iframe>
						</div>
					</div>
				</div>
				
				<div id="rightdiv">
					<div id="help-scroll" style="boder:0; overflow-y:auto; overflow-x:hidden;">
						<div id="helperBox" style="boder:0;width:100%;height:100%;">
							
<div class="UBBbuju_title">
			操作指南
		</div>							
	<div style="margin:10px;">
<table width="350" style="color:#333333;">
	<tr>
		<td valign="top" width="40"  class="tdline"><img src="images/mouse-right.gif" alt="鼠标右键" ></td>
		<td class="tdline" width="320">
			<span class="title2">
				鼠标右键操作
			</span><br/>
			<span class="title">
				【插入UBB/新增频道】
			</span>
			<span class="content">
				选中任何一行右键插入UBB或者新增频道.
			</span><br/>
			<span class="title">
				【修改UBB/属性】
			</span>
			<span class="content">
				选中UBB，频道，点击右键可以修改属性，新增频道，插入UBB等操作.
			</span><br/>
			<span class="title">
				【隐藏/显示/删除】
			</span>
			<span class="content">
				行，频道，UBB可以隐藏和删除.
			</span><br/>
			<span class="title">
				【页面布局】
			</span>
			<span class="content">
				双击频道可以到达该频道的页面布局，也可点击左侧的快捷菜单到达频道的页面布局.
			</span>
		</td>
	</tr>
	<tr>
		<td  valign="top"  class="tdline"><img src="images/mouse-left.gif" alt="鼠标左键"></td>
		<td valign="top"  class="tdline">
			<span class="title2">
				鼠标左键操作
			</span><br/>
			<span class="title">
				【自由拖动】
			</span>
			<span class="content">
				行，频道，UBB均可上下自由移动和拖动.
			</span>
		</td>
	</tr>
</table>
<!--
1：选中任何一行右键插入UBB或者新增频道<p>
2：行，频道，UBB均可上下自由移动和拖动<p>
3：选中UBB，频道，点击右键可以修改属性，新增频道，插入UBB等操作 <p>
4：行，频道，UBB可以隐藏和删除。<p>
5：双击频道可以到达该频道的页面布局，也可点击左侧的快捷菜单到达频道的页面布局<p>
-->	
</div>
							
							
							
							
							
							
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
<script>
function createbox(id, title, width, url, data){
	popbox(id, title, width);
	var str = "<table width=\"100%\"><tr><td height=\"50px\" align=\"center\">";
	str += "<img src=\"images/ajax.gif\"/>正在查询中......";
	str += "</td></tr></table>";
	setpopcontent(str);
	
	$.ajax({
		cache: false,
		data: data,
		url: url,
		type: "get",
		success: function(str){
			setpopcontent(str);
		}
	});
}

	_$.resize = function(){
		var tcHeight = $("#topOutside").height();
		var leftWidth = $("#leftContent").width();
		var sWidth = document.documentElement.clientWidth;
		var sHeight = document.documentElement.clientHeight;
		var tabcontentheight = $(".tabcontent").height();
		var leftdiv = $("#leftdiv").width();
		var cpaneldiv = $("#cpaneldiv").width();
		var toph = $("#sitmap").height();
	
		$("#leftContent").css({
			height: sHeight - 81
		});
		$("#rightContent").css({
			height: sHeight - 85
		});
 		$("#rightContent").css({
			width: sWidth-leftWidth - 25
		});
		$("#secrightContent").css({
			height: sHeight - 25 - tabcontentheight - tcHeight
		});
		$("#left-scroll").css({
			height: sHeight - 85 - toph-21
		});
		$("#cpanel-scroll").css({
			height: sHeight - 85 - toph - 21 -76
		});
		$("#help-scroll").css({
			height: sHeight - 85 - toph-21
		});
		$("#secrightContent-cpanel").css({
			height: sHeight - 85 - 21
		});
		$("#rightdiv").css({
			width: sWidth - 151 - 10 - leftdiv - cpaneldiv -30
		});
		
		var soc = 0;
		if(document.all)
		{
			if($("#left-scroll").height()<$("#leftLayout").height())
			{
				soc+=18;
			}
			if($("#cpanel-scroll").height()<$("#cpanelLayout").height())
			{
				soc+=18;
			}
			
			if($("#help-scroll").height()<$("#helperLayout").height())
			{
				soc+=18;
			}
		}	
	}
	

var init_channelid = 0;
var init_lineid = 0;
function setid(type,v)
{
	if(type==1)
	{
		init_channelid = v;
	}else{
		init_lineid = v;
	}
}
$(document).ready(function(){
	/*
	$("div#leftBox").block({
		message:"<img src='images/loading.gif'/>加载中...",
		css: { 
            border: 'none', 
            padding: '15px',
			width:'50%' ,
            backgroundColor: 'none', 
            '-webkit-border-radius': '10px', 
            '-moz-border-radius': '10px', 
            color: '#fff' 
        }
	});
	$("div#cpanelBox").block({
		message:"<img src='images/loading.gif'/>加载中...",
		css: { 
            border: 'none', 
            padding: '15px',
			width:'50%' ,
            backgroundColor: 'none', 
            '-webkit-border-radius': '10px', 
            '-moz-border-radius': '10px', 
            color: '#fff' 
        }
	}); */
	
	$(".cpanel_tool_add_ubb").click(function(){
		var line = init_lineid;
        var channel = init_channelid;
		
		$.ajax({
			url:"index.php?r=Layout.addubb",
			type:"get",
			cache:false,
			data:{
				line_id: line,
            	channel_id: channel
			},
			success:function(html){
				$("#helperBox").empty().html(html);
			}
		});
		
    });
	$(".cpanel_tool_add_channel").click(function(){
		var line = init_lineid;
        var channel = init_channelid;
		
		$.ajax({
			url:"index.php?r=Layout.addchannel",
			type:"get",
			cache:false,
			data:{
				line_id: line,
            	channel_id: channel
			},
			success:function(html){
				$("#helperBox").empty().html(html);
			}
		});
		/*
		createbox("addchannel", "新增频道", null, "index.php?r=Layout.addchannel&rd="+Math.random(), {
            line_id: line,
            channel_id: channel
        });
        */
    });
    $(".cpanel_tool_add_line").click(function(){
        var line = init_lineid;
        var channel = init_channelid;
		
		$.post("index.php?r=Layout.addline",
		{
			line_id: line,
            channel_id: channel
		},function(JsonResponseData){
			if(JsonResponseData.status ==1 )
			{
				window.frames['cpanelLayout'].location.reload();
			}
		},"json");
    });
});

</script>  
</html>
